> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/guides/introduction/the-output-module-query-language/structural-validation-of-the-query.md).

# Structural validation of the query

Because writing `ViewConfigs` and `TableViewConfigs` is a tedious and error-prone task, the following endpoints allow using the `validationEnabled` parameter.

* `{{domain}}/rest/2.0/outputModule/export/{{xml | json | csv}}`
* `{{domain}}/rest/2.0/outputModule/export/{{xml | json | csv | excel}}-file`
* `{{domain}}/rest/2.0/outputModule/export/{{xml | json | csv | excel}}-job`

This parameter, when set to true, enables validation of the input `ViewConfig`/`TableViewConfig`. By default, the parameter value is set to false.

The example below shows a small typo in the filter. `userID` is used instead of `userId`. When you make a POST request to `{{domain}}/rest/2.0/outputModule/export/json?validationEnabled=true`, the following body results.

{% tabs %}
{% tab title="JSON" %}

```json
{
  "ViewConfig": {
    "displayLength": 5,
    "Resources": {
      "Community": {
        "Id": { "name": "communityId" },
        "Name": { "name": "community" },
        "Responsibility": {
          "Id":{ "name": "responsibilityId"},
          "User": {
            "Id": { "name": "userId" },
            "FirstName": { "name": "userName" }
          }
        },
        "Filter": {"Field": {"name":"userID", "Operator":"NOT_NULL"}}
      }
    }
  }
}
```

{% endtab %}

{% tab title="YAML" %}

```yaml
---
ViewConfig:
  displayLength: 5
  Resources:
    Community:
      Id:
        name: "communityId"
      Name:
        name: "community"
      Responsibility:
        Id:
          name: "responsibilityId"
        User:
          Id:
            name: "userId"
          FirstName:
            name: "userName"
      Filter:
        Field:
          name: "userID"
          Operator: "NOT_NULL"
```

{% endtab %}
{% endtabs %}

The response will be similar to the example below.

```json
{
    "viewConflict": [
        {
            "type": "View Configuration Conflict",
            "message": "Field 'userID' is unknown.",
            "id": "7c723d33-dc8d-484b-90df-91e3364d771a"
        }
    ]
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.collibra.com/api/guides/introduction/the-output-module-query-language/structural-validation-of-the-query.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
